local assets=
{
	Asset("ANIM", "anim/gearsq.zip"),
	Asset("ATLAS", "images/inventoryimages/gf.xml"),
    Asset("IMAGE", "images/inventoryimages/gf.tex")
}

local function fn(sim)
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
	
    inst.AnimState:SetBank("gears")
    inst.AnimState:SetBuild("gearsq")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "gf"
	inst.components.inventoryitem.atlasname = "images/inventoryimages/gf.xml"
    inst:AddComponent("inspectable")
    inst:AddComponent("stackable")
	
	inst:AddComponent("tradable")
	

    return inst
end

return Prefab("common/inventory/gf", fn, assets)